import { OnInit } from "@angular/core";
import { StiEditableContentService } from "../../services/sti-editable-content.service";
import { StiDropdownService } from "./sti-dropdown-service";
export declare class StiDropdownListComponent implements OnInit {
    dropdownService: StiDropdownService;
    editableContentService: StiEditableContentService;
    get list(): string | number[];
    getValue(index: any): any;
    isActive(index: any): boolean;
    setItem(index: any): void;
    constructor(dropdownService: StiDropdownService, editableContentService: StiEditableContentService);
    ngOnInit(): void;
}
